## ku-file-utils 1.0-ku25-12a

=== Makefile ===
# based on KU packages template 1.3 (2012/10)

# default, preprocess control files
#
controls:
	ku/install.sh make_controls

build: build_man

install: build
	DESTDIR=$(DESTDIR) ku/install.sh

clean:
	rm -rf $(DESTDIR)

doc:

mrproper: clean clean_controls

clean_controls:
	for file in `ls debian.in 2>/dev/null`; do rm -f debian/$$file; done
	for file in `ls fedora.in 2>/dev/null`; do rm -f fedora/$$file; done


# custom builds

build_man: man1/ftpsync.1.gz

man1/ftpsync.1.gz: bin/ftpsync
	pod2man bin/ftpsync >man1/ftpsync.1
	rm-f man1/ftpsync.1.gz; gzip man1/ftpsync.1

=== debian/changelog ===
ku-file-utils (1.0-ku25-12a) unstable; urgency=low

  * bin/ku-timestamp-rename
    - new: option --htime for human readable date in timestamp (YYYY-mm-dd)
    - new: option --space to use space instead of '-' as timestamp separator


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 04 Dec 2025 10:09:45 +0100

ku-file-utils (1.0-ku25-04a) unstable; urgency=low

  * PROJECT UPLOADED TO GITHUB

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Fri, 04 Apr 2025 12:38:02 +0200

ku-file-utils (1.0-ku25-03a) unstable; urgency=low

  * bin/xlocate-diskinfos
    - new: DO_CONTENT var in metafile, produces "disk-content.txt", with first level
    	   directory summary
	   related new options, to override var: --do-content, --no-do-content
    - fix: now scans dotfiles/dotdirs, too

  * bin/xlocate
    - fix: when scanning multiple dirs, copy disk usage file, if any, only once
    - fix: usage for add/update modes
    - fix: --leaf option is mandatory when scanning multiple dirs

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 12 Mar 2025 14:11:47 +0100

ku-file-utils (1.0-ku25-02b) unstable; urgency=low

  * bin/ku-bitlocker-{mount,umount}
    - new: script to mount / umount bitlocker partitions (a simple frontend for
    	   "dislocker" utility)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 03 Feb 2025 09:09:06 +0100

ku-file-utils (1.0-ku25-02a) unstable; urgency=low

  * sbin/dmname
    - fix: fails to detect device major in dmsetup

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 01 Feb 2025 14:24:11 +0100

ku-file-utils (1.0-ku25-01a) unstable; urgency=low

  * bin/bscp
    - new: blockcopy util relies on python2, and doesn't work anymore with python3
    	   instead of modifying it, replaced by a new util "bscp" that does the same
	   thing (in a slight different way)
	   NOTE that the command syntax is similar to blockcopy, but NOT THE SAME

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Fri, 03 Jan 2025 10:03:29 +0100

ku-file-utils (1.0-ku24-09a) unstable; urgency=low

  * bin/rdp, bin/rdp-credentials
    - new: wrap script to xfreerdp; uses .rdp.credentials file to store remotes infos,
    	   the file can be crypted and is searched iin different directories
	   not exactly a file util, but I have no better package to store them ;)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 02 Sep 2024 06:48:34 +0200

ku-file-utils (1.0-ku24-04a) unstable; urgency=low

  * bin/mirror
    - fix: untrapped rsync error exit

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 10 Apr 2024 11:10:55 +0200

ku-file-utils (1.0-ku23-11a) unstable; urgency=low

  * sbin/dmname
    - new: this util prints the human readable name (ie: the fs name) given
    	   a dm-* or loop* device

  * bin/iostat-fancy
    - mod: improved fs names decoding (uses dmname script)

  * bin/blocksync
    - mod: don't call "ssh" and "sudo" if remote = localhost
    - mod: minor changes to output messages

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 07 Mar 2024 07:45:08 +0100

ku-file-utils (1.0-ku23-10a) unstable; urgency=low

  * bin/ddtime
    - fix: typo in die() call, line 40 (was dir instead of die)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 09 Oct 2023 09:40:55 +0200

ku-file-utils (1.0-ku23-08b) unstable; urgency=low

  * debian/compat
    - upd: (devuan daedalus) raised to 10

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 27 Aug 2023 18:19:39 +0200

ku-file-utils (1.0-ku23-08a) unstable; urgency=low

  * iostat-fancy
    - new: iostat wrapper the replaces meaningless dm-* names with fancy ones, got
    	   from lvm devices or partition labels; options can be saved in cfg file
	   under $HOME

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 27 Aug 2023 01:55:44 +0200

ku-file-utils (1.0-ku23-06a) unstable; urgency=low

  * lvusage
    - fix: recent lvscan sometimes prints sizes with "<" symbol in front (wtf?),
    	   causing printf to complain (first seen on Devuan chimaera)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 11 Jun 2023 12:34:21 +0200

ku-file-utils (1.0-ku23-03c) unstable; urgency=low

  * fdupe
    - fix: -D (--debug) was not accepted as valid option
    - fix: long options are accepted now
    - mod: PRINTF internal command

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 22 Mar 2023 00:37:53 +0100

ku-file-utils (1.0-ku23-03b) unstable; urgency=low

  * debian/rules (debian.in/rules)
    - fix: reverted the changes of last release (compatibility issues raised by updating
    	   release files on old systems are solved, see changes to ku-jtools)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 14 Mar 2023 11:51:17 +0100

ku-file-utils (1.0-ku23-02a) unstable; urgency=low

  * debian/rules (debian.in/rules)
    - fix: force backward compatibility gzip format on newer distros (that defaults to xz):
           added -Zgzip to dh_builddeb

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 25 Feb 2023 19:09:32 +0100

ku-file-utils (1.0-ku22-12a) unstable; urgency=low

  * ku-timestamp-rename
    - mod: now say if the file/dir is not renamed because already timestamped

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 19 Dec 2022 14:42:19 +0100

ku-file-utils (1.0-ku22-10a) unstable; urgency=low

  * xlocate
    - mod: now you can pass filename to --create-conf option

  * kupurge
    - mod: replaced '--null' with '-0' to xargs call to cope with old xargs versions

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 18 Oct 2022 18:03:57 +0200

ku-file-utils (1.0-ku22-07c) unstable; urgency=low

  * xlocate
    - add: total files count and size in search mode (long output forma)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 04 Aug 2022 09:26:43 +0200



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/kubackup-server.
	$(MAKE) DESTDIR=$(CURDIR)/debian/ku-file-utils install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ku-file-utils 1.0-ku26-01a

=== debian/changelog ===
ku-file-utils (1.0-ku26-01a) unstable; urgency=low

  * bin/fusage
    - mod: complete rewrite, now searches files by extensions (really, glob matches) and
    	   report details (count, apparent and real usage), and grandtotals


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 01 Jan 2026 12:56:46 +0100

ku-file-utils (1.0-ku25-12b) unstable; urgency=low

  * bin/oldest
    - add: standard exlusions, and option '-a|--all' to disable them;
    	   files: Thumbs.db, *.tmp, *.temp
	   dirs: tmp, temp, .streams, .sums, cache*, .cache*

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 15 Dec 2025 12:31:07 +0100

=== debian/control ===
Source: ku-file-utils
Section: klabs
Priority: extra
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Maintainer: Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>
Homepage: http://www.kubiclabs.com/

Package: ku-file-utils
Architecture: all
Depends: ku-base (>= 1.1-ku6), gawk
Replaces: ku-arc-utils
Conflicts: ku-arc-utils
Description: KUBiC Labs utils for files management/archiving
  some of utils contained here:
  .
  - ku-timestamp-rename: find the newest file in the directory tree,
      change di dir mtime accordlying, optional renames the dir
      prepending the resulting timestamp
  - ku-storicize: archives a list of directories, optionally
      compressing, timestamping, and removing the original content
  - ku-compressdir: simple frontend to different archive programs,
      for a simplified, uniform arguments format
  .
  - xlocate: a locate-like util, tailored for external disks
      management, and focused on portability (file tagging, files
      details, dbfile plain text format)
  - xlocate-diskinfos: a companion for xlocate, to extract and
      store some usefull infos of external disks (desc, size, usage,
      fstype of main partition, etc)
  - 7z-rmo: emulates beheaviour of 'zip -rmo' for p7zip files
  - fast_fingerprint: really fast pseudo-md5 files fingerprint
  - fdupe: search file dupes (using fast fingerprint)
  .
  - bscp: rsync-like scp, but for block devices (imported, not mine)
  - mkfs.ext4-nonlazy: just a wrapper to run with lazy_init_table=0

## ku-file-utils 1.0-ku26-01b

=== debian/changelog ===
ku-file-utils (1.0-ku26-01b) unstable; urgency=low

  * debian/control
    - add: libberkeleydb-perl package dependency


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 19 Jan 2026 14:48:54 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: ku-file-utils
 Architecture: all
-Depends: ku-base (>= 1.1-ku6), gawk
+Depends: ku-base (>= 1.1-ku6), gawk, libberkeleydb-perl
 Replaces: ku-arc-utils
 Conflicts: ku-arc-utils
 Description: KUBiC Labs utils for files management/archiving

## ku-file-utils 1.0-ku26-02a

=== debian/changelog ===
ku-file-utils (1.0-ku26-02a) unstable; urgency=low

  * debian/control
    - add: libberkeleydb-perl package dependency


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 19 Jan 2026 14:48:00 +0100
